Subject: Re: [PATCH net-next 0/5][pull request] add v2 FW logging for ice driver

From: Jakub Kicinski <[email-masked]>
Date: Tue, 14 Feb 2023 18:07:12 -0800

On Tue, 14 Feb 2023 17:33:25 -0800 Jacob Keller wrote:
> > Yes, I know, all NICs are generic IO devices now. While the only
> > example of what can go wrong we heard so far is a link flap...
> > 
> > Reimplementing a similar API in devlink with a backward compat
> > is definitely an option.
> 
> Sure. Well the interface is more of a way for firmware team to get
> debugging information out of the firmware. Its sort of like a "print"
> debugging, where information about the state of firmware during
> different activities can be recorded.
> 
> The idea is that when a problem is detected by a user, they can enable
> firmware logging to capture this data and then that can aid us in
> determining what really went wrong.
> 
> It isn't a "we detected a problem" interface. It's a "here's a bunch of
> debugging logging you asked for!" interface.

Yes, none of this sounds very usable in production. So maybe just put
the basic interface in debugfs and keep the per-module etc. whetevers
in the out of tree driver? That seems like a level of granularity
useful for development.